# sc::ElectronDensity Class Reference

This is a Volume that computer the electron density. More...

`#include <density.h>`

Inheritance diagram for sc::ElectronDensity:

List of all members.

## Public Member Functions

| ElectronDensity (const Ref< KeyVal > &)
| ElectronDensity (const Ref< Wavefunction > &)
virtual void | boundingbox (double valuemin, double valuemax, SCVector3 &p1, SCVector3 &p2)

## Protected Member Functions

virtual void | compute ()
| Recompute at least the results that have compute true and are not already computed.

## Protected Attributes

Ref< Wavefunction > | wfn_

## Detailed Description

This is a Volume that computer the electron density.

It can be used to generate isodensity surfaces.

## Member Function Documentation

virtual void sc::ElectronDensity::compute | ( |  | ) | `[protected, virtual]`

Recompute at least the results that have compute true and are not already computed.

This should only be called by Result's members.

Implements sc::Volume.

The documentation for this class was generated from the following file:

- density.h